using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int T = int.Parse(Console.ReadLine());
            string[] resenje = new string[T];
            for (int i = 0; i < T; i++)
            {
                string[] unos = Console.ReadLine().Split(' ');
                int N = int.Parse(unos[0]);
                int M = int.Parse(unos[1]);
                int K = int.Parse(unos[2]);

                int[] grupe = new int[K];

                int temp = N % K;
                for (int j = 0; j < K; j++)
                {
                    if (temp == 0)
                    {
                        grupe[j] = N / K;
                    }
                    else
                    {
                        grupe[j] = N / K + 1;
                        temp--;
                    }
                    for (int k = 1; k <= grupe[j]; k++)
                    {
                        M -= k;
                    }
                }
                if (M < 0)
                    resenje[i] = "Nie";
                else
                    resenje[i] = "Tak";
            }
            for (int i = 0; i < T; i++)
            {
                Console.WriteLine(resenje[i]);
            }
        }
    }
}